import {Component, OnInit, Input} from '@angular/core';
import {fromEvent} from "rxjs";

@Component({
  selector: 'app-home-head',
  templateUrl: './home-head.component.html',
  styleUrls: ['./home-head.component.css']
})
export class HomeHeadComponent implements OnInit {

  public location: string = '曲靖市'
  public locations: any[] = [
    {
      name: '曲靖市'
    },
    {
      name: '麒麟区'
    },
    {
      name: '马龙区'
    },
    {
      name: '沾益区'
    },
    {
      name: '宣威市'
    },
    {
      name: '会泽县'
    },
    {
      name: '富源县'
    },
    {
      name: '陆良县'
    },
    {
      name: '师宗县'
    },
    {
      name: '罗平县'
    }
  ]
  public menus: any[] = [
    {
      name: '首页'
    },
    {
      name: '政策动态'
    },
    {
      name: '金融服务'
    },
    {
      name: '企业服务'
    },
    {
      name: '信用服务'
    },
    {
      name: '乡村振兴'
    },
    {
      name: '成果展示'
    },
    {
      name: '金融机构'
    },
    {
      name: '平台介绍'
    }
  ]
  public subscribeScoll: any = ''
  public screenInfo: any = {
    top: ''
  }
  @Input() headStatus: any

  constructor() {
  }

  ngOnInit(): void {
    console.log(this.headStatus.menuStatus)
    console.log(this.headStatus.status)
    console.log(8899)
    this.subscribeScoll = fromEvent(window, 'scroll')
      .subscribe((event) => {
        this.changeHomeHeadStatus();//调用
      });
  }

  getHeadStatus(): void {

  }

  // 获取顶部菜单栏滚动距离
  getScreenLocation() {
    let t, l, w, h;
    if (document.documentElement && document.documentElement.scrollTop) {
      t = document.documentElement.scrollTop;
      l = document.documentElement.scrollLeft;
      w = document.documentElement.scrollWidth;
      h = document.documentElement.scrollHeight;
    } else if (document.body) {
      t = document.body.scrollTop;
      l = document.body.scrollLeft;
      w = document.body.scrollWidth;
      h = document.body.scrollHeight;
    }
    return {
      top: t,
      left: l,
      w,
      height: h
    };
  }

  changeHomeHeadStatus() {
    this.screenInfo.top = this.getScreenLocation().top;
    if (this.headStatus.menuStatus === 0) {
      if (this.screenInfo.top > 40) {
        this.headStatus.status = 1
      } else {
        this.headStatus.status = 0
      }
    }

  }

}
