import { Component, OnInit, Input } from '@angular/core';

@Component({
  selector: 'app-single-choice',
  templateUrl: './single-choice.component.html',
  styleUrls: ['./single-choice.component.css']
})
export class SingleChoiceComponent implements OnInit {

  public title: string = '适用区域'
  public dataList: any[] = []
  @Input() selectData: any
  constructor() { }

  ngOnInit(): void {
    console.log(this.selectData)
    this.selectData.forEach((item: any) => {
      console.log(item.list)
      this.title = item.title
      this.dataList = item.list
    })
  }

  // 处理选择效果
  getSelectData(item: any): void {
    this.dataList.filter((data) => {
      if (data.key === item.key) {
        data.isSelect = true
      } else {
        data.isSelect = false
      }
    })
  }

}
