import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-finance-service',
  templateUrl: './finance-service.component.html',
  styleUrls: ['./finance-service.component.css']
})
export class FinanceServiceComponent implements OnInit {

  public headStatus: any = {
    menuStatus: 1,
    status: 1
  }
  public selectData: any[] = [
    {
      title: '适用区域',
      list: [
        {
          key: 1,
          name: '不限',
          isSelect: true
        },
        {
          key: 2,
          name: '麒麟区',
          isSelect: false
        },
        {
          key: 3,
          name: '马龙区',
          isSelect: false
        },
        {
          key: 4,
          name: '沾益区',
          isSelect: false
        },
        {
          key: 5,
          name: '宣威市',
          isSelect: false
        },
        {
          key: 6,
          name: '会泽县',
          isSelect: false
        },
        {
          key: 7,
          name: '富源县',
          isSelect: false
        },
        {
          key: 8,
          name: '陆良县',
          isSelect: false
        },
        {
          key: 9,
          name: '师宗县',
          isSelect: false
        },
        {
          key: 10,
          name: '罗平县',
          isSelect: false
        },
      ]
    }
  ]
  public bankList: any[] = [
    {
      title: '发布银行',
      list: [
        {
          key: 1,
          name: '不限',
          isSelect: true
        },
        {
          key: 2,
          name: '曲靖市麒麟区农村信用合作联社',
          isSelect: false
        },
        {
          key: 3,
          name: '云南罗平农村商业银行股份有限公司',
          isSelect: false
        },
        {
          key: 4,
          name: '云南陆良农村商业银行股份有限公司',
          isSelect: false
        },
        {
          key: 5,
          name: '曲靖市马龙区农村信用合作联社',
          isSelect: false
        },
        {
          key: 6,
          name: '师宗县农村信用合作联社',
          isSelect: false
        },
        {
          key: 7,
          name: '富源县农村信用合作联社',
          isSelect: false
        },
        {
          key: 8,
          name: '云南会泽农村商业银行股份有限公司',
          isSelect: false
        },
        {
          key: 9,
          name: '曲靖市沾益区农村信用合作联社',
          isSelect: false
        },
        {
          key: 10,
          name: '宣威市农村信用合作联社',
          isSelect: false
        },
      ]
    }
  ]
  public guaranteeList: any[] = [
    {
      title: '担保方式',
      list: [
        {
          key: 1,
          name: '不限',
          isSelect: true
        },
        {
          key: 2,
          name: '信用',
          isSelect: false
        },
        {
          key: 3,
          name: '质押',
          isSelect: false
        },
        {
          key: 4,
          name: '保证',
          isSelect: false
        },
        {
          key: 5,
          name: '抵押',
          isSelect: false
        },
        {
          key: 6,
          name: '信保基金',
          isSelect: false
        },
        {
          key: 7,
          name: '其他',
          isSelect: false
        }
      ]
    }
  ]
  public termList: any[] = [
    {
      title: '适用区域',
      list: [
        {
          key: 1,
          name: '不限',
          isSelect: true
        },
        {
          key: 2,
          name: '6个月及以下',
          isSelect: false
        },
        {
          key: 3,
          name: '6-12个月',
          isSelect: false
        },
        {
          key: 4,
          name: '12-24个月',
          isSelect: false
        },
        {
          key: 5,
          name: '24个月及以上',
          isSelect: false
        }
      ]
    }
  ]
  public quotaList: any[] = [
    {
      title: '适用区域',
      list: [
        {
          key: 1,
          name: '不限',
          isSelect: true
        },
        {
          key: 2,
          name: '50万及以下',
          isSelect: false
        },
        {
          key: 3,
          name: '50万-100万',
          isSelect: false
        },
        {
          key: 4,
          name: '100万-150万',
          isSelect: false
        },
        {
          key: 5,
          name: '150万-200万',
          isSelect: false
        },
        {
          key: 6,
          name: '200万-300万',
          isSelect: false
        }
      ]
    }
  ]
  constructor() { }

  ngOnInit(): void {
  }

}
