import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-financial-institution',
  templateUrl: './financial-institution.component.html',
  styleUrls: ['./financial-institution.component.css']
})
export class FinancialInstitutionComponent implements OnInit {

  public headStatus: any = {
    menuStatus: 1,
    status: 1
  }
  public areaData: any[] = [
    {
      title: '所在地区',
      list: [
        {
          key: 1,
          name: '不限',
          isSelect: true
        },
        {
          key: 2,
          name: '麒麟区',
          isSelect: false
        },
        {
          key: 3,
          name: '马龙区',
          isSelect: false
        },
        {
          key: 4,
          name: '沾益区',
          isSelect: false
        },
        {
          key: 5,
          name: '宣威市',
          isSelect: false
        },
        {
          key: 6,
          name: '会泽县',
          isSelect: false
        },
        {
          key: 7,
          name: '富源县',
          isSelect: false
        },
        {
          key: 8,
          name: '陆良县',
          isSelect: false
        },
        {
          key: 9,
          name: '师宗县',
          isSelect: false
        },
        {
          key: 10,
          name: '罗平县',
          isSelect: false
        }
      ]
    }
  ]
  public institutionData: any[] = [
    {
      title: '金融机构',
      list: [
        {
          key: 1,
          name: '不限',
          isSelect: true
        },
        {
          key: 2,
          name: '银行',
          isSelect: false
        },
        {
          key: 3,
          name: '担保公司',
          isSelect: false
        },
        {
          key: 4,
          name: '保险公司',
          isSelect: false
        }
      ]
    }
  ]
  public productList: any[] = [
    {
      img: 'assets/home/bank_logo.png',
      name: '曲靖市商业银行',
      type: '银行',
      area: '曲靖市-麒麟区',
      number: 12,
      productNumber: 32
    },
    {
      img: 'assets/home/bank_logo.png',
      name: '曲靖市商业银行',
      type: '银行',
      area: '曲靖市-麒麟区',
      number: 12,
      productNumber: 32
    },
    {
      img: 'assets/home/bank_logo.png',
      name: '曲靖市商业银行',
      type: '银行',
      area: '曲靖市-麒麟区',
      number: 12,
      productNumber: 32
    },
    {
      img: 'assets/home/bank_logo.png',
      name: '曲靖市商业银行',
      type: '银行',
      area: '曲靖市-麒麟区',
      number: 12,
      productNumber: 32
    },
    {
      img: 'assets/home/bank_logo.png',
      name: '曲靖市商业银行1',
      type: '银行',
      area: '曲靖市-麒麟区',
      number: 12,
      productNumber: 32
    },
    {
      img: 'assets/home/bank_logo.png',
      name: '曲靖市商业银行',
      type: '银行',
      area: '曲靖市-麒麟区',
      number: 22,
      productNumber: 33
    },
  ]
  constructor() { }

  ngOnInit(): void {
  }

}
