import {Component, OnInit} from '@angular/core';

@Component({
  selector: 'app-home',
  templateUrl: './home.component.html',
  styleUrls: ['./home.component.css']
})
export class HomeComponent implements OnInit {

  public statisticsData: any[] = [
    {
      name: '累计注册企业（家）',
      value: 9054
    },
    {
      name: '累计对接企业（家）',
      value: 941
    },
    {
      name: '累计申请笔数（笔）',
      value: 1119
    },
    {
      name: '累计申请金额（万元）',
      value: 406059
    },
    {
      name: '累计授信笔数（笔）',
      value: 608
    },
    {
      name: '累计授信金额（万元）',
      value: 289474
    },
  ]
  public loanAmount: string = ''
  public loan: any[] = [
    {
      value: '50万及以下'
    },
    {
      value: '50万-100万'
    },
    {
      value: '100万-150万'
    },
    {
      value: '150万-200万'
    },
    {
      value: '200万-300万'
    }
  ]
  public term: string = ''
  public loanTerm: any[] = [
    {
      value: '6个月及以下'
    },
    {
      value: '6-12个月'
    },
    {
      value: '12-24个月'
    },
    {
      value: '24个月及以上'
    }
  ]
  public guarantee: string = ''
  public guaranteeList: any[] = [
    {
      value: '信用'
    },
    {
      value: '质押'
    },
    {
      value: '保证'
    },
    {
      value: '抵押'
    },
    {
      value: '信保基金'
    },
    {
      value: '其他'
    }
  ]
  public policy: string = ''
  public policyList: any[] = []
  public hotServiceList: any[] = [
    {
      title: '信易贷',
      content: '纯信用，流程精简',
      img: 'assets/home/home_service.png'
    },
    {
      title: '农信中标贷',
      content: '政府扶持，信用保障',
      img: 'assets/home/home_service.png'
    },
    {
      title: '政策工具',
      content: '智能，快捷，精准',
      img: 'assets/home/home_service.png'
    },
    {
      title: '企业服务超市',
      content: '可信，标准，透明',
      img: 'assets/home/home_service.png'
    },
  ]
  public effect: string = 'scrollx'
  public productList: any[] = [
    {
      key: 1,
      list: [
        {
          logo: '',
          name: '贷款名称',
          amountRemark: '最高可贷金额',
          amount: '1,000,000',
          remarkOne: '小微企业',
          remarkTwo: '纯信用,无抵押'
        },
        {
          logo: '',
          name: '贷款名称',
          amountRemark: '最高可贷金额',
          amount: '1,000,000',
          remarkOne: '个人贷款',
          remarkTwo: '纯信用,无抵押'
        },
        {
          logo: '',
          name: '贷款名称',
          amountRemark: '最高可贷金额',
          amount: '1,000,000',
          remarkOne: '服务小微',
          remarkTwo: '纯信用,无抵押'
        },
        {
          logo: '',
          name: '贷款名称',
          amountRemark: '最高可贷金额',
          amount: '1,000,000',
          remarkOne: '服务小微',
          remarkTwo: '纯信用,无抵押'
        }
      ]
    },
    {
      key: 2,
      list: [
        {
          logo: '',
          name: '贷款名称',
          amountRemark: '最高可贷金额',
          amount: '1,000,000',
          remarkOne: '个人贷款',
          remarkTwo: '纯信用,无抵押'
        },
        {
          logo: '',
          name: '贷款名称',
          amountRemark: '最高可贷金额',
          amount: '1,000,000',
          remarkOne: '服务小微',
          remarkTwo: '纯信用,无抵押'
        },
        {
          logo: '',
          name: '贷款名称',
          amountRemark: '最高可贷金额',
          amount: '1,000,000',
          remarkOne: '服务小微',
          remarkTwo: '纯信用,无抵押'
        },
        {
          logo: '',
          name: '贷款名称445566',
          amountRemark: '最高可贷金额',
          amount: '1,000,000',
          remarkOne: '服务小微',
          remarkTwo: '纯信用,无抵押'
        }
      ]
    },
    {
      key: 3,
      list: [
        {
          logo: '',
          name: '贷款名称',
          amountRemark: '最高可贷金额',
          amount: '1,000,000',
          remarkOne: '服务小微',
          remarkTwo: '纯信用,无抵押'
        },
        {
          logo: '',
          name: '贷款名称',
          amountRemark: '最高可贷金额',
          amount: '1,000,000',
          remarkOne: '服务小微',
          remarkTwo: '纯信用,无抵押'
        },
        {
          logo: '',
          name: '贷款名称445566',
          amountRemark: '最高可贷金额',
          amount: '1,000,000',
          remarkOne: '小微企业',
          remarkTwo: '纯信用,无抵押'
        },
        {
          logo: '',
          name: '贷款名称667788',
          amountRemark: '最高可贷金额',
          amount: '1,000,000',
          remarkOne: '个人贷款',
          remarkTwo: '纯信用,无抵押'
        },
      ]
    },
    {
      key: 4,
      list: [
        {
          logo: '',
          name: '贷款名称999999',
          amountRemark: '最高可贷金额',
          amount: '1,000,000',
          remarkOne: '服务小微',
          remarkTwo: '纯信用,无抵押'
        }
      ]
    }
  ]
  public financingList: any[] = [
    {
      name: '云南****有限公司',
      type: '申请融资金额',
      amount: '350万元',
      date: '2021-08-26'
    },
    {
      name: '云南****有限公司',
      type: '申请融资金额',
      amount: '600万元',
      date: '2021-08-09'
    },
    {
      name: '曲靖****有限公司',
      type: '申请融资金额',
      amount: '52万元',
      date: '2021-08-10'
    },
    {
      name: '曲靖****洪兴商店',
      type: '申请融资金额',
      amount: '195万元',
      date: '2021-08-10'
    }
  ]
  public caseList: any[] = [
    {
      name: '云南****有限公司获得中国光大银行股份有限公司曲靖分行放款',
      amount: '100万元',
      date: '2021-08-26'
    },
    {
      name: '云南****有限公司获得曲靖市麒麟区农村信用合作联社放款',
      amount: '100万元',
      date: '2021-08-18'
    },
    {
      name: '曲靖****有限公司获得曲靖宣威长江村镇银行股份有限公司放款',
      amount: '9万元',
      date: '2021-08-03'
    },
    {
      name: '曲靖****有限公司获得宣威市农村信用合作联社放款',
      amount: '8万元',
      date: '2021-08-02'
    },
  ]
  public policyInfoList: any[] = [
    {
      year: '2021',
      day: '06-01',
      title: '曲靖市人民政府关于切实做好2021年农业农村工作的通知',
      remark: '来源：市人民政府网'
    },
    {
      year: '2021',
      day: '06-01',
      title: '中共中央 国务院关于实现巩固拓展脱贫攻坚成果同乡村振兴有效衔接的意见',
      remark: '来源：新华社'
    },
    {
      year: '2021',
      day: '06-01',
      title: '中国人民银行 银保监会 发展改革委 工业和信息化部 财政部 市场监管总局 证监会 外汇局关于进一步强化中小微企业金融服务的指导意见',
      remark: '来源：中国人民银行官网'
    },
  ]
  public newInfoList: any[] = [
    {
      title: '关于社会信用体系建设，“十四五”规划纲要这样说',
      remark: '实施制造业降本减负行动：扩大制造业中长期贷款、信用贷款规模，增加技改贷款，推动股权投资、债券融资等向制造业倾斜。',
      date: '2021-07-12'
    },
    {
      title: '曲靖市人民政府关于切实做好2021年农业农村工作的通知',
      remark: '为切实做好2021年全市农业农村工作，深入推进农业高质量发展，全面实施乡村振兴战略，加快农业农村现代化，现将有关事项通知如下',
      date: '2021-07-12'
    },
    {
      title: '财政部关于印发《地方政府债券信用评级管理暂行办法》的通知',
      remark: '财政部关于印发《地方政府债券信用评级管理暂行办法》的通知',
      date: '2021-07-12'
    }
  ]
  public mechanismType: string = '金融机构'


  public linkList: any = [
    {
      name: '信用中国',
      link: ''
    },
    {
      name: '信用云南',
      link: ''
    },
    {
      name: '信用曲靖',
      link: ''
    },
    {
      name: '曲靖市人民政府',
      link: ''
    },
    {
      name: '中国人民银行',
      link: ''
    },
    {
      name: '中国人民银行征信中心',
      link: ''
    },
  ]
  public headStatus: any = {
    menuStatus: 0,
    status: 0
  }
  constructor() {
  }

  ngOnInit(): void {
  }

}
